<?php
/**
 * @package dailymotion-videowall-widget
 * @author kevin fernandez
 */

class DM_widget_videowall extends WP_Widget {
    
    function DM_widget_videowall () {
    
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'dmvw-widget', 'description' => __("Adds a Dailymotion Videowall in your sidebar.", "dmvw") );

		/* Widget control settings. */
		$control_ops = array( 'width' => 250, 'id_base' => 'dmvw-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'dmvw-widget', __('Dailymotion Videowall', 'dmvw'), $widget_ops, $control_ops );
    }


    function widget( $args, $instance ) {
		extract( $args );

		/* Widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$video_args = array(
                'user' => $instance['user'],
                'list' => $instance['list'],
                'sizex' => $instance['sizex'],
                'sizey' => $instance['sizey'],
                'space' => $instance['space'],
                'logo' => $instance['logo'],
                'glissement' => $instance['glissement'],
		'zoom' => $instance['zoom'],
		'zapping' => $instance['zapping'],
		'infos' => $instance['infos'],
                'ombres' => $instance['ombres'],
                'auto' => $instance['auto']);
		

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;


		dm_videowall_display($video_args);

		/* After widget (defined by themes). */
		echo $after_widget;
	}


        /**
	 * Update widget settings.
	 */
	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags (if needed) and update the widget settings. */
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['user'] = strip_tags( $new_instance['user'] );
		$instance['list'] = strip_tags( $new_instance['list'] );
                $instance['sizex'] = strip_tags( $new_instance['sizex'] );
		$instance['sizey'] = strip_tags( $new_instance['sizey'] );
		$instance['space'] = strip_tags( $new_instance['space'] );
                $instance['logo'] = strip_tags( $new_instance['logo'] );
		$instance['glissement'] = intval( $new_instance['glissement'] );
                $instance['zoom'] = intval( $new_instance['zoom'] );
                $instance['zapping'] = intval( $new_instance['zapping'] );
                $instance['infos'] = intval( $new_instance['infos'] );
                $instance['ombres'] = intval( $new_instance['ombres'] );
                $instance['auto'] = intval( $new_instance['auto'] );


		return $instance;
	}

        function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => __('Videos', 'dmvw'), 'user' => 'lemondefr', 'list' => '', 'sizex' => 2, 'sizey' => 3, 'space' => 2, 'logo' => 'left', 'glissement' => 1, 'zoom' => 1, 'zapping' => 0, 'infos' => 1, 'ombres' => 1, 'auto' => 1);
		$instance = wp_parse_args( (array) $instance, $defaults );
               ?>
                <p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>">Titre:</label>
		<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

                <p>
		<label for="<?php echo $this->get_field_id( 'list' ); ?>">Liste:</label>
<select id="<?php echo $this->get_field_id( 'list' ); ?>" name="<?php echo $this->get_field_name( 'list' ); ?>"> 
<optgroup label="Listes Dailymotion"> 
<option <?php if ( '/fr/featured/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/1">vidéos stars</option> 
<option <?php if ( '/fr/official/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/official/1">Official Content</option> 
<option <?php if ( '/fr/creative/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/creative/1">Creative Content</option> 
<option <?php if ( '/fr/hd/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/hd/1">Contenu HD</option> 
</optgroup> 
<optgroup label="Chaînes mises en avant"> 
<option <?php if ( '/fr/featured/channel/news/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/news/1">Actu et Politique</option> 
<option <?php if ( '/fr/featured/channel/fun/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/fun/1">Comédie et Humour</option> 
<option <?php if ( '/fr/featured/channel/shortfilms/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/shortfilms/1">Cinéma</option> 
<option <?php if ( '/fr/featured/channel/music/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/music/1">Musique</option> 
<option <?php if ( '/fr/featured/channel/sport/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/sport/1">Sports et Extrême</option> 
<option <?php if ( '/fr/featured/channel/creation/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/creation/1">Art et Création</option> 
<option <?php if ( '/fr/featured/channel/videogames/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/videogames/1">Jeux vidéo</option> 
<option <?php if ( '/fr/featured/channel/tech/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/tech/1">High-tech et Science</option> 
<option <?php if ( '/fr/featured/channel/travel/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/travel/1">Voyages</option> 
<option <?php if ( '/fr/featured/channel/auto/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/auto/1">Auto et Moto</option> 
<option <?php if ( '/fr/featured/channel/animals/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/animals/1">Animaux</option> 
<option <?php if ( '/fr/featured/channel/webcam/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/webcam/1">Expression Libre</option> 
<option <?php if ( '/fr/featured/channel/school/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/school/1">Campus</option> 
<option <?php if ( '/fr/featured/channel/lifestyle/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/lifestyle/1">Vie pratique</option> 
<option <?php if ( '/fr/featured/channel/people/1' == $instance['list'] ) echo 'selected="selected"'; ?> value="/fr/featured/channel/people/1">Amis et Famille</option> 
</optgroup> 
</select> 
		</p>

		<p>
		<label for="<?php echo $this->get_field_id( 'user' ); ?>">Ou URL/utilisateur:</label>
		<input id="<?php echo $this->get_field_id( 'user' ); ?>" name="<?php echo $this->get_field_name( 'user' ); ?>" value="<?php echo $instance['user']; ?>" style="width:100%;" />
		</p>

                <p>
		<label for="<?php echo $this->get_field_id( 'sizex' ); ?>">Colonnes:</label>
<select id="<?php echo $this->get_field_id( 'sizex' ); ?>" name="<?php echo $this->get_field_name( 'sizex' ); ?>"> 
<option <?php if ( '1' == $instance['sizex'] ) echo 'selected="selected"'; ?> value="1">1</option> 
<option <?php if ( '2' == $instance['sizex'] ) echo 'selected="selected"'; ?> value="2">2</option> 
<option <?php if ( '3' == $instance['sizex'] ) echo 'selected="selected"'; ?> value="3">3</option> 
<option <?php if ( '4' == $instance['sizex'] ) echo 'selected="selected"'; ?> value="4">4</option> 
<option <?php if ( '5' == $instance['sizex'] ) echo 'selected="selected"'; ?> value="5">5</option> 
<option <?php if ( '6' == $instance['sizex'] ) echo 'selected="selected"'; ?> value="6">6</option> 
<option <?php if ( '7' == $instance['sizex'] ) echo 'selected="selected"'; ?> value="7">7</option> 
<option <?php if ( '8' == $instance['sizex'] ) echo 'selected="selected"'; ?> value="8">8</option> 
<option <?php if ( '9' == $instance['sizex'] ) echo 'selected="selected"'; ?> value="9">9</option> 
</select> 
		</p>

                <p>
                <label for="<?php echo $this->get_field_id( 'sizey' ); ?>">Lignes:</label>
<select id="<?php echo $this->get_field_id( 'sizey' ); ?>" name="<?php echo $this->get_field_name( 'sizey' ); ?>"> 
<option <?php if ( '1' == $instance['sizey'] ) echo 'selected="selected"'; ?> value="1">1</option> 
<option <?php if ( '2' == $instance['sizey'] ) echo 'selected="selected"'; ?> value="2">2</option> 
<option <?php if ( '3' == $instance['sizey'] ) echo 'selected="selected"'; ?> value="3">3</option> 
<option <?php if ( '4' == $instance['sizey'] ) echo 'selected="selected"'; ?> value="4">4</option> 
<option <?php if ( '5' == $instance['sizey'] ) echo 'selected="selected"'; ?> value="5">5</option> 
<option <?php if ( '6' == $instance['sizey'] ) echo 'selected="selected"'; ?> value="6">6</option> 
<option <?php if ( '7' == $instance['sizey'] ) echo 'selected="selected"'; ?> value="7">7</option> 
<option <?php if ( '8' == $instance['sizey'] ) echo 'selected="selected"'; ?> value="8">8</option> 
<option <?php if ( '9' == $instance['sizey'] ) echo 'selected="selected"'; ?> value="9">9</option> 
</select> 
                </p>

                <p>
                <label for="<?php echo $this->get_field_id( 'space' ); ?>">Espace entre vignettes:</label>
<select id="<?php echo $this->get_field_id( 'space' ); ?>" name="<?php echo $this->get_field_name( 'space' ); ?>"> 
<option <?php if ( '1' == $instance['space'] ) echo 'selected="selected"'; ?> value="1">1</option> 
<option <?php if ( '2' == $instance['space'] ) echo 'selected="selected"'; ?> value="2">2</option> 
<option <?php if ( '3' == $instance['space'] ) echo 'selected="selected"'; ?> value="3">3</option> 
<option <?php if ( '4' == $instance['space'] ) echo 'selected="selected"'; ?> value="4">4</option> 
<option <?php if ( '5' == $instance['space'] ) echo 'selected="selected"'; ?> value="5">5</option> 
<option <?php if ( '6' == $instance['space'] ) echo 'selected="selected"'; ?> value="6">6</option> 
<option <?php if ( '7' == $instance['space'] ) echo 'selected="selected"'; ?> value="7">7</option> 
<option <?php if ( '8' == $instance['space'] ) echo 'selected="selected"'; ?> value="8">8</option> 
<option <?php if ( '9' == $instance['space'] ) echo 'selected="selected"'; ?> value="9">9</option> 
<option <?php if ( '10' == $instance['space'] ) echo 'selected="selected"'; ?> value="10">10</option> 
</select> 
                </p>

                <p>
                <label for="<?php echo $this->get_field_id( 'logo' ); ?>">Position du logo:</label>
<select id="<?php echo $this->get_field_id( 'logo' ); ?>" name="<?php echo $this->get_field_name( 'logo' ); ?>"> 
<option <?php if ( 'left' == $instance['space'] ) echo 'selected="selected"'; ?> value="left">Gauche</option> 
<option <?php if ( 'right' == $instance['space'] ) echo 'selected="selected"'; ?> value="right">Droite</option> 
<option <?php if ( 'top' == $instance['space'] ) echo 'selected="selected"'; ?> value="top">Haut</option> 
<option <?php if ( 'bottom' == $instance['space'] ) echo 'selected="selected"'; ?> value="bottom">Bas</option> 
</select> 
                </p>



                 <p>Glissement des vignettes:<br />
                    <label><input type="radio" id="<?php echo $this->get_field_id( 'glissement' ); ?>" name="<?php echo $this->get_field_name( 'glissement' ); ?>" value="1" <?php if ( 1 == $instance['glissement'] ) echo 'checked="checked"'; ?> />Oui</label>
                    <br />
                    <label><input type="radio" id="<?php echo $this->get_field_id( 'glissement' ); ?>" name="<?php echo $this->get_field_name( 'glissement' ); ?>" value="0" <?php if ( 0 == $instance['glissement'] ) echo 'checked="checked"'; ?> />Non</label>
                 </p>

                 <p>Zoom sur les vignettes:<br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'zoom' ); ?>" value="1" <?php if ( 1 == $instance['zoom'] ) echo 'checked="checked"'; ?> />Oui</label>
                    <br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'zoom' ); ?>" value="0" <?php if ( 0 == $instance['zoom'] ) echo 'checked="checked"'; ?> />Non</label>
                 </p>

                 <p>Mode zapping:<br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'zapping' ); ?>" value="1" <?php if ( 1 == $instance['zapping'] ) echo 'checked="checked"'; ?> />Oui</label>
                    <br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'zapping' ); ?>" value="0" <?php if ( 0 == $instance['zapping'] ) echo 'checked="checked"'; ?> />Non</label>
                 </p>

                 <p>Infos vidéos:<br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'infos' ); ?>" value="1" <?php if ( 1 == $instance['infos'] ) echo 'checked="checked"'; ?> />Oui</label>
                    <br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'infos' ); ?>" value="0" <?php if ( 0 == $instance['infos'] ) echo 'checked="checked"'; ?> />Non</label>
                 </p>

                 <p>Ombres:<br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'ombres' ); ?>" value="1" <?php if ( 1 == $instance['ombres'] ) echo 'checked="checked"'; ?> />Oui</label>
                    <br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'ombres' ); ?>" value="0" <?php if ( 0 == $instance['ombres'] ) echo 'checked="checked"'; ?> />Non</label>
                 </p>

                 <p>Lecture automatique:<br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'auto' ); ?>" value="1" <?php if ( 1 == $instance['auto'] ) echo 'checked="checked"'; ?> />Oui</label>
                    <br />
                    <label><input type="radio" name="<?php echo $this->get_field_name( 'auto' ); ?>" value="0" <?php if ( 0 == $instance['auto'] ) echo 'checked="checked"'; ?> />Non</label>
                 </p>

                <?php
        }
}
?>
